Skip to main content
GET
/
businesses
/
{id}
/
custom_domains
List all custom domains for a business
curl --request GET \
  --url https://api.pocketflows.com/businesses/{id}/custom_domains \
  --header 'Authorization: Basic <encoded-value>'
{
  "custom_domains": [
    {
      "id": "<string>",
      "business": "<string>",
      "domain": "<string>",
      "dns_records": [
        {
          "name": "<string>",
          "type": "<string>",
          "value": "<string>"
        }
      ],
      "created_at": "<string>",
      "validated": true,
      "entri_propagation_status": "<string>",
      "setup_completed_at": "<string>",
      "setup_type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the business

Query Parameters

domain
string

Filter by domain name

Response

200 - application/json

A dictionary with a custom_domains property which is an array of CustomDomain objects

custom_domains
The Custom Domain object · object[]
required

An array of custom domains